VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec:

## Avaliable Methods
public method | get_wake_on_lan_enabled ()
public method | set_pci_slot_number ()
public method | get_pci_slot_number ()
public method | set_type ()
public method | set_allow_guest_control ()
public method | set_backing ()
public method | new ()
public method | set_mac_type ()
public method | get_mac_type ()
public method | get_mac_address ()
public method | set_wake_on_lan_enabled ()
public method | get_backing ()
public method | set_mac_address ()
public method | set_start_connected ()
public method | get_upt_compatibility_enabled ()
public method | get_start_connected ()
public method | get_type ()
public method | get_allow_guest_control ()
public method | set_upt_compatibility_enabled ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec` class provides a specification for the configuration of a newly-created virtual Ethernet adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_allow_guest_control | ( |  | ) |

Gets the value of 'allow_guest_control' property.

Return values

  allow_guest_control | - The current value of the field. Flag indicating whether the guest can connect and disconnect the device. Optional#

Code:
click to view
# Number of lines of code in get_allow_guest_control: 4
sub get_allow_guest_control {
my ($self, %args) = @_;
return $self->{'allow_guest_control'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_backing | ( |  | ) |

Gets the value of 'backing' property.

Return values

  backing | - The current value of the field. Physical resource backing for the virtual Ethernet adapter. Optional#

Code:
click to view
# Number of lines of code in get_backing: 4
sub get_backing {
my ($self, %args) = @_;
return $self->{'backing'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_mac_address | ( |  | ) |

Gets the value of 'mac_address' property.

Return values

  mac_address | - The current value of the field. MAC address. optional#

Code:
click to view
# Number of lines of code in get_mac_address: 4
sub get_mac_address {
my ($self, %args) = @_;
return $self->{'mac_address'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_mac_type | ( |  | ) |

Gets the value of 'mac_type' property.

Return values

  mac_type | - The current value of the field. MAC address type. Optional#

Code:
click to view
# Number of lines of code in get_mac_type: 4
sub get_mac_type {
my ($self, %args) = @_;
return $self->{'mac_type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_pci_slot_number | ( |  | ) |

Gets the value of 'pci_slot_number' property.

Return values

  pci_slot_number | - The current value of the field. Address of the virtual Ethernet adapter on the PCI bus. If the PCI address is invalid, the server will change when it the VM is started or as the device is hot added. Optional#

Code:
click to view
# Number of lines of code in get_pci_slot_number: 4
sub get_pci_slot_number {
my ($self, %args) = @_;
return $self->{'pci_slot_number'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_start_connected | ( |  | ) |

Gets the value of 'start_connected' property.

Return values

  start_connected | - The current value of the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on. Optional#

Code:
click to view
# Number of lines of code in get_start_connected: 4
sub get_start_connected {
my ($self, %args) = @_;
return $self->{'start_connected'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Ethernet adapter emulation type. Optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_upt_compatibility_enabled | ( |  | ) |

Gets the value of 'upt_compatibility_enabled' property.

Return values

  upt_compatibility_enabled | - The current value of the field. Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter. Optional#

Code:
click to view
# Number of lines of code in get_upt_compatibility_enabled: 4
sub get_upt_compatibility_enabled {
my ($self, %args) = @_;
return $self->{'upt_compatibility_enabled'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::get_wake_on_lan_enabled | ( |  | ) |

Gets the value of 'wake_on_lan_enabled' property.

Return values

  wake_on_lan_enabled | - The current value of the field. Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter. Optional#

Code:
click to view
# Number of lines of code in get_wake_on_lan_enabled: 4
sub get_wake_on_lan_enabled {
my ($self, %args) = @_;
return $self->{'wake_on_lan_enabled'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 51
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'VMXNET3' => ['upt_compatibility_enabled'],
'E1000' => [],
'E1000E' => [],
'PCNET32' => [],
'VMXNET' => [],
'VMXNET2' => [],
}),
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'mac_type',
'case_map' => {
'MANUAL' => ['mac_address'],
'GENERATED' => [],
'ASSIGNED' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{upt_compatibility_enabled} = $args{'upt_compatibility_enabled'};
$self->{mac_type} = $args{'mac_type'};
$self->{mac_address} = $args{'mac_address'};
$self->{pci_slot_number} = $args{'pci_slot_number'};
$self->{wake_on_lan_enabled} = $args{'wake_on_lan_enabled'};
$self->{backing} = $args{'backing'};
$self->{start_connected} = $args{'start_connected'};
$self->{allow_guest_control} = $args{'allow_guest_control'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.ethernet.create_spec');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::EmulationType')));
$self->set_binding_field('key' => 'upt_compatibility_enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'mac_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::MacAddressType')));
$self->set_binding_field('key' => 'mac_address', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'pci_slot_number', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'wake_on_lan_enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'backing', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::BackingSpec')));
$self->set_binding_field('key' => 'start_connected', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'allow_guest_control', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_allow_guest_control | ( |  | ) |

Sets the given value for 'allow_guest_control' property.

Parameters

  allow_guest_control | - New value for the field. Flag indicating whether the guest can connect and disconnect the device.

Code:
click to view
# Number of lines of code in set_allow_guest_control: 5
sub set_allow_guest_control {
my ($self, %args) = @_;
$self->{'allow_guest_control'} = $args{'allow_guest_control'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_backing | ( |  | ) |

Sets the given value for 'backing' property.

Parameters

  backing | - New value for the field. Physical resource backing for the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_backing: 5
sub set_backing {
my ($self, %args) = @_;
$self->{'backing'} = $args{'backing'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_mac_address | ( |  | ) |

Sets the given value for 'mac_address' property.

Parameters

  mac_address | - New value for the field. MAC address.

Code:
click to view
# Number of lines of code in set_mac_address: 5
sub set_mac_address {
my ($self, %args) = @_;
$self->{'mac_address'} = $args{'mac_address'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_mac_type | ( |  | ) |

Sets the given value for 'mac_type' property.

Parameters

  mac_type | - New value for the field. MAC address type.

Code:
click to view
# Number of lines of code in set_mac_type: 5
sub set_mac_type {
my ($self, %args) = @_;
$self->{'mac_type'} = $args{'mac_type'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_pci_slot_number | ( |  | ) |

Sets the given value for 'pci_slot_number' property.

Parameters

  pci_slot_number | - New value for the field. Address of the virtual Ethernet adapter on the PCI bus. If the PCI address is invalid, the server will change when it the VM is started or as the device is hot added.

Code:
click to view
# Number of lines of code in set_pci_slot_number: 5
sub set_pci_slot_number {
my ($self, %args) = @_;
$self->{'pci_slot_number'} = $args{'pci_slot_number'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_start_connected | ( |  | ) |

Sets the given value for 'start_connected' property.

Parameters

  start_connected | - New value for the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

Code:
click to view
# Number of lines of code in set_start_connected: 5
sub set_start_connected {
my ($self, %args) = @_;
$self->{'start_connected'} = $args{'start_connected'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Ethernet adapter emulation type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_upt_compatibility_enabled | ( |  | ) |

Sets the given value for 'upt_compatibility_enabled' property.

Parameters

  upt_compatibility_enabled | - New value for the field. Flag indicating whether Universal Pass-Through (UPT) compatibility is enabled on this virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_upt_compatibility_enabled: 5
sub set_upt_compatibility_enabled {
my ($self, %args) = @_;
$self->{'upt_compatibility_enabled'} = $args{'upt_compatibility_enabled'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::CreateSpec::set_wake_on_lan_enabled | ( |  | ) |

Sets the given value for 'wake_on_lan_enabled' property.

Parameters

  wake_on_lan_enabled | - New value for the field. Flag indicating whether wake-on-LAN is enabled on this virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_wake_on_lan_enabled: 5
sub set_wake_on_lan_enabled {
my ($self, %args) = @_;
$self->{'wake_on_lan_enabled'} = $args{'wake_on_lan_enabled'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Ethernet.pm